# Visiblee Public API Base URL: https://api.visiblee.ai/v1/public Reference index: https://docs.visiblee.ai/api/reference/ OpenAPI JSON: https://docs.visiblee.ai/openapi.json This file concatenates the main endpoint reference pages in Markdown so AI agents can read the whole public API without rendering JavaScript. # List projects - Method: `GET` - Path: `/projects` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters No path parameters for this endpoint. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get project - Method: `GET` - Path: `/projects/{project_id}` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get visibility report - Method: `GET` - Path: `/projects/{project_id}/visibility` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-visibility/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-visibility ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/visibility' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get visibility timeseries - Method: `GET` - Path: `/projects/{project_id}/visibility/timeseries` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-visibility-timeseries/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-visibility-timeseries ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/visibility/timeseries' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get competitors - Method: `GET` - Path: `/projects/{project_id}/competitors` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-competitors/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-competitors ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/competitors' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get segments - Method: `GET` - Path: `/projects/{project_id}/segments` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-segments/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-segments ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/segments' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List segment prompts - Method: `GET` - Path: `/projects/{project_id}/segments/{segment_id}/prompts` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-segments-segment-id-prompts/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-segments-segment-id-prompts ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/segments/{segment_id}/prompts' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `segment_id` (string (uuid), required): No description provided. - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List sources - Method: `GET` - Path: `/projects/{project_id}/sources` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-sources/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-sources ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/sources' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List runs - Method: `GET` - Path: `/projects/{project_id}/runs` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-runs/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-runs ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/runs' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get run group - Method: `GET` - Path: `/runs/{run_group_id}` - Tier: Business - HTML docs: https://docs.visiblee.ai/api/reference/get-runs-run-group-id/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-runs-run-group-id ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/runs/RUN_GROUP_ID' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `run_group_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get run results - Method: `GET` - Path: `/runs/{run_group_id}/results` - Tier: Business - HTML docs: https://docs.visiblee.ai/api/reference/get-runs-run-group-id-results/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-runs-run-group-id-results ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/runs/RUN_GROUP_ID/results' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `run_group_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List Reddit leads - Method: `GET` - Path: `/projects/{project_id}/reddit/leads` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-reddit-leads/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-reddit-leads ## Description Reddit threads (posts) where the brand could plausibly join the conversation, scored and qualified as leads, best first. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/reddit/leads' \ --get \ --data-urlencode 'limit=50' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `limit` (integer, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get Reddit metrics - Method: `GET` - Path: `/projects/{project_id}/reddit/metrics` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-reddit-metrics/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-reddit-metrics ## Description Summary counts for Reddit leads: total, new, today, and average score. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/reddit/metrics' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List Reddit opportunities - Method: `GET` - Path: `/projects/{project_id}/reddit/opportunities` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-reddit-opportunities/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-reddit-opportunities ## Description All qualified Reddit opportunities (posts and comments), best first. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/reddit/opportunities' \ --get \ --data-urlencode 'limit=50' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `limit` (integer, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List engines - Method: `GET` - Path: `/engines` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-engines/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-engines ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/engines' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters No path parameters for this endpoint. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List citations - Method: `GET` - Path: `/projects/{project_id}/citations` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-citations/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-citations ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/citations' \ --get \ --data-urlencode 'limit=50' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `limit` (integer, optional): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get competitor detail - Method: `GET` - Path: `/projects/{project_id}/competitor-detail` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-competitor-detail/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-competitor-detail ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/competitor-detail' \ --get \ --data-urlencode 'name=string' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `name` (string, required): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Set tracked engines - Method: `PUT` - Path: `/projects/{project_id}/engines` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/put-projects-project-id-engines/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=put-projects-project-id-engines ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request PUT \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/engines' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Request Body Media type: `application/json` ```json {} ``` ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List mentions - Method: `GET` - Path: `/projects/{project_id}/mentions` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-mentions/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-mentions ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/mentions' \ --get \ --data-urlencode 'entity_type=string' \ --data-urlencode 'limit=50' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `entity_type` (anyOf, optional): No description provided. - `limit` (integer, optional): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get prompt detail - Method: `GET` - Path: `/projects/{project_id}/prompt-detail` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-prompt-detail/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-prompt-detail ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompt-detail' \ --get \ --data-urlencode 'prompt_id=string' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `prompt_id` (string (uuid), required): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List prompt suggestions - Method: `GET` - Path: `/projects/{project_id}/prompt-suggestions` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-prompt-suggestions/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-prompt-suggestions ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompt-suggestions' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get prompt timeseries - Method: `GET` - Path: `/projects/{project_id}/prompt-timeseries` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-prompt-timeseries/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-prompt-timeseries ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompt-timeseries' \ --get \ --data-urlencode 'prompt_id=string' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `prompt_id` (string (uuid), required): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List prompts - Method: `GET` - Path: `/projects/{project_id}/prompts` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-prompts/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-prompts ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompts' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Create prompt - Method: `POST` - Path: `/projects/{project_id}/prompts` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/post-projects-project-id-prompts/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=post-projects-project-id-prompts ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request POST \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompts' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Request Body Media type: `application/json` ```json {} ``` ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Update prompt - Method: `PATCH` - Path: `/projects/{project_id}/prompts/{prompt_id}` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/patch-projects-project-id-prompts-prompt-id/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=patch-projects-project-id-prompts-prompt-id ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request PATCH \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompts/{prompt_id}' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `prompt_id` (string (uuid), required): No description provided. - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Request Body Media type: `application/json` ```json {} ``` ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Delete prompt - Method: `DELETE` - Path: `/projects/{project_id}/prompts/{prompt_id}` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/delete-projects-project-id-prompts-prompt-id/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=delete-projects-project-id-prompts-prompt-id ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request DELETE \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompts/{prompt_id}' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `prompt_id` (string (uuid), required): No description provided. - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Validation Error Media type: `application/json` ## JSON Response ```json {} ``` # Get prompt history - Method: `GET` - Path: `/projects/{project_id}/prompts/{prompt_id}/history` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-prompts-prompt-id-history/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-prompts-prompt-id-history ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/prompts/{prompt_id}/history' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `prompt_id` (string (uuid), required): No description provided. - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List query fanout - Method: `GET` - Path: `/projects/{project_id}/query-fanout` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-query-fanout/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-query-fanout ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/query-fanout' \ --get \ --data-urlencode 'limit=50' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `limit` (integer, optional): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List referrers - Method: `GET` - Path: `/projects/{project_id}/referrers` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-referrers/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-referrers ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/referrers' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get region usage - Method: `GET` - Path: `/projects/{project_id}/region-usage` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-region-usage/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-region-usage ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/region-usage' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Set tracked regions - Method: `PUT` - Path: `/projects/{project_id}/regions` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/put-projects-project-id-regions/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=put-projects-project-id-regions ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request PUT \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/regions' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Request Body Media type: `application/json` ```json {} ``` ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List daily scores - Method: `GET` - Path: `/projects/{project_id}/scores/daily` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-scores-daily/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-scores-daily ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/scores/daily' \ --get \ --data-urlencode 'limit=50' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `limit` (integer, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List segment suggestions - Method: `GET` - Path: `/projects/{project_id}/segment-suggestions` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-segment-suggestions/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-segment-suggestions ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/segment-suggestions' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # List GEO suggestions - Method: `GET` - Path: `/projects/{project_id}/suggestions` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-suggestions/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-suggestions ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/suggestions' \ --get \ --data-urlencode 'include_dismissed=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `include_dismissed` (boolean, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get suggestions status - Method: `GET` - Path: `/projects/{project_id}/suggestions/status` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-suggestions-status/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-suggestions-status ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/suggestions/status' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get the answers where a topic appeared - Method: `GET` - Path: `/projects/{project_id}/topic-answers` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-topic-answers/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-topic-answers ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/topic-answers' \ --get \ --data-urlencode 'label=string' \ --data-urlencode 'limit=50' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `label` (string, required): No description provided. - `limit` (integer, optional): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get topic detail - Method: `GET` - Path: `/projects/{project_id}/topic-detail` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-topic-detail/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-topic-detail ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/topic-detail' \ --get \ --data-urlencode 'label=string' \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `label` (string, required): No description provided. - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # Get topics - Method: `GET` - Path: `/projects/{project_id}/topics` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-topics/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-topics ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/topics' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List warm leads - Method: `GET` - Path: `/projects/{project_id}/warm-leads` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-projects-project-id-warm-leads/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-projects-project-id-warm-leads ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/projects/PROJECT_ID/warm-leads' \ --get \ --data-urlencode 'engine_ids=string' \ --data-urlencode 'region_ids=string' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `project_id` (string (uuid), required): No description provided. ## Query Parameters - `engine_ids` (anyOf, optional): No description provided. - `region_ids` (anyOf, optional): No description provided. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ``` # Get prompt run - Method: `GET` - Path: `/prompt-runs/{prompt_run_id}` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-prompt-runs-prompt-run-id/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-prompt-runs-prompt-run-id ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/prompt-runs/{prompt_run_id}' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters - `prompt_run_id` (string (uuid), required): No description provided. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json {} ``` # List regions - Method: `GET` - Path: `/regions` - Tier: All accounts - HTML docs: https://docs.visiblee.ai/api/reference/get-regions/ - Interactive docs: https://docs.visiblee.ai/api/#endpoint=get-regions ## Description Public endpoint for structured AI visibility intelligence. ## cURL Example ```bash curl --request GET \ --url 'https://api.visiblee.ai/v1/public/regions' \ --header 'X-API-Key: YOUR_API_KEY' ``` ## Path Parameters No path parameters for this endpoint. ## Query Parameters No query parameters for this endpoint. ## Response Successful Response Media type: `application/json` ## JSON Response ```json [] ```